
#include <Wire.h>
#include <hd44780.h>                       // main hd44780 header
#include <hd44780ioClass/hd44780_I2Cexp.h> // i2c expander i/o class header

hd44780_I2Cexp lcd; // declare lcd object: auto locate & auto config expander chip
byte customChar[8] = {
  0b00000,
  0b11011,
  0b11111,
  0b01110,
  0b00100,
  0b00000,
  0b00000,
  0b00000
};

int buttonstate = 0 ;

const int LCD_COLS = 16;
const int LCD_ROWS = 2;


void setup()
{
int status;


  status = lcd.begin(16, 2);
  
  pinMode(4, INPUT);
  lcd.print("Hello, World!");
  lcd.setCursor(0, 1);

  lcd.home();
}

int seconds = 0;
int minutes = 0;
int count = 0;
void loop() {

  buttonstate = digitalRead(4);
  
  if (buttonstate == LOW) {

    lcd.print("hey y'all!!!");

    delay(1000);

    seconds = 0;
    minutes = 0;

    }

    lcd.clear();
  }

